jQuery(document).ready(function($){
    var $body = $('body');

    makeDateRelative($);
});

function makeDateRelative($) {
    var $dates = $('.card-img__date, .news-list__date, .news__date');

    if ($dates.length) {
        moment.locale('ru');
        $now = moment();

        $dates.each(function() {
            $fulldate = $(this).data('fulldate');
            
            if ($fulldate !== "" && moment($fulldate).isValid()) {
            /*     var end = moment($fulldate);
                var duration = moment.duration($now.diff(end));

                if (duration >= 0) {
                    var days = duration.asDays();

                    $result = '';

                    if (days <= 7) {
                        $result = end.fromNow();
                    } else if (end.isSame(new Date(), 'month') || end.isSame(new Date(), 'year')) {
                        $result = end.format('D MMMM');
                    } else {
                        $result = end.format('D MMMM YYYY');
                    }

                    $(this).html($result);
                }
             */    
                var d = moment($fulldate);
                $result = d.format('LT, DD MMMM');
                $(this).html($result);
            }
            
        });
    }

    var $years = $('.card-text__date');

    if ($years.length) {
        moment.locale('ru');
        $now = moment();

        $years.each(function () {
            $fulldate = $(this).data('fulldate');
            if ($fulldate !== "" && moment($fulldate).isValid()) {     
                var y = moment($fulldate);          
                $result = y.format('YYYY');                
                $(this).html($result);
            }
        });
    }

    var $years = $('.news-text__date');

    if ($years.length) {
        moment.locale('ru');
        $now = moment();

        $years.each(function () {
            $fulldate = $(this).data('fulldate');
            if ($fulldate !== "" && moment($fulldate).isValid()) {
                var y = moment($fulldate);
                $result = y.format('LT, DD MMMM YYYY');
                $(this).html($result);
            }
        });
    }

}
